Summary:         Sans-serif Narrow fonts to replace commonly used Microsoft Arial Narrow
Name:            liberation-narrow-fonts
Version:         1.07.6
Release:         5%{?dist}
License:         Liberation
URL:             https://github.com/liberationfonts/liberation-sans-narrow
Source0:         %{url}/files/2579430/liberation-narrow-fonts-%{version}.tar.gz
Source1:         liberation-narrow-fonts-generate.pe
Source2:         liberation-narrow-fonts.conf
Source3:         liberation-narrow-fonts.metainfo.xml

BuildRequires:   fontpackages-devel mkfontscale mkfontdir fontforge libappstream-glib
Requires:        fontpackages-filesystem

BuildArch:       noarch

%description
The Liberation Sans Narrow Fonts are intended to be replacements for
the Arial Narrow.

%prep
%autosetup %{name}
rm -rf scripts
mv src/LiberationSansNarrow* .
rm -rf src
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .
chmod 755 %{name}-generate.pe

%build
./liberation-narrow-fonts-generate.pe *.sfd

%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/liberation-narrow-fonts
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/liberation-narrow-fonts

install -m 0755 -d %{buildroot}%{_sysconfdir}/X11/fontpath.d
ln -s %{_datadir}/fonts/liberation-narrow-fonts %{buildroot}%{_sysconfdir}/X11/fontpath.d/liberation-narrow-fonts

mkfontscale %{buildroot}%{_datadir}/fonts/liberation-narrow-fonts
mkfontdir %{buildroot}%{_datadir}/fonts/liberation-narrow-fonts

install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/fontconfig/conf.avail/59-liberation-narrow.conf
install -Dm 0644 -p %{SOURCE3} %{buildroot}%{_datadir}/metainfo/liberation-narrow-fonts.metainfo.xml
ln -s %{_datadir}/fontconfig/conf.avail/59-liberation-narrow.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/59-liberation-narrow.conf


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/liberation-narrow-fonts.metainfo.xml


%files
%license License.txt
%doc AUTHORS ChangeLog COPYING README.rst TODO
%dir %{_datadir}/fonts/liberation-narrow-fonts
%{_datadir}/fonts/liberation-narrow-fonts/LiberationSansNarrow-Bold.ttf
%{_datadir}/fonts/liberation-narrow-fonts/LiberationSansNarrow-BoldItalic.ttf
%{_datadir}/fonts/liberation-narrow-fonts/LiberationSansNarrow-Italic.ttf
%{_datadir}/fonts/liberation-narrow-fonts/LiberationSansNarrow.ttf
%{_datadir}/fontconfig/conf.avail/59-liberation-narrow.conf
%{_datadir}/metainfo/liberation-narrow-fonts.metainfo.xml
%verify(not md5 size mtime) %{_datadir}/fonts/liberation-narrow-fonts/fonts.dir
%verify(not md5 size mtime) %{_datadir}/fonts/liberation-narrow-fonts/fonts.scale
%{_sysconfdir}/X11/fontpath.d/liberation-narrow-fonts
%config(noreplace) %{_sysconfdir}/fonts/conf.d/59-liberation-narrow.conf

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 1.07.6-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 06 2022 Miaojun Dong <zoedong@tencent.com> - 1.07.6-1
- Initial build
